oceNames2whpNames {oce} | R Documentation

## Translate Oce Data Names to WHP Data Names

### Description

Translate oce-style names to WOCE names, using `gsub` to match patterns. For example, the pattern `"oxygen"` is taken to mean `"CTDOXY"`.

### Usage

    oceNames2whpNames(names)

### Arguments

`names` | vector of strings holding oce-style names.

### Value

vector of strings holding WHP-style names.

### Author(s)

Dan Kelley

### References

Several online sources list WHP names. An example is https://geo.h2o.ucsd.edu/documentation/manuals/pdf/90_1/chap4.pdf

### See Also

Other things related to `ctd` data: `[[,ctd-method`, `[[<-,ctd-method`, `as.ctd`, `cnvName2oceName`, `ctd-class`, `ctdDecimate`, `ctdFindProfiles`, `ctdRaw`, `ctdTrim`, `ctd`, `handleFlags,ctd-method`, `oceUnits2whpUnits`, `plot,ctd-method`, `plotProfile`, `plotScan`, `plotTS`, `read.ctd.itp`, `read.ctd.odf`, `read.ctd.sbe`, `read.ctd.woce.other`, `read.ctd.woce`, `read.ctd`, `subset,ctd-method`, `summary,ctd-method`, `woceNames2oceNames`, `woceUnit2oceUnit`, `write.ctd`

Other functions that interpret variable names and units from headers: `ODFNames2oceNames`, `cnvName2oceName`, `oceUnits2whpUnits`, `unitFromStringRsk`, `unitFromString`, `woceNames2oceNames`, `woceUnit2oceUnit`

[Package oce version 0.9-22 Index]